Public Member Functions | Data Fields

# AirportTileResolverObject Struct Reference

Resolver for tiles of an airport. More...

`#include <newgrf_airporttiles.h>`

Inheritance diagram for AirportTileResolverObject:

## Public Member Functions
| AirportTileResolverObject (const AirportTileSpec *ats, TileIndex tile, Station *st, CallbackID callback=CBID_NO_CALLBACK, uint32 callback_param1=0, uint32 callback_param2=0)
| Constructor of the resolver for airport tiles.
ScopeResolver * | GetScope (VarSpriteGroupScope scope=VSG_SCOPE_SELF, byte relative=0)
| Get a resolver for the scope.
## Data Fields
AirportTileScopeResolver | tiles_scope
| Scope resolver for the tiles.

## Detailed Description

Resolver for tiles of an airport.

Definition at line 34 of file newgrf_airporttiles.h.

## Constructor & Destructor Documentation

AirportTileResolverObject::AirportTileResolverObject | ( | const AirportTileSpec * | ats,
|  | TileIndex | tile,
|  | Station * | st,
|  | CallbackID | callback = `CBID_NO_CALLBACK`,
|  | uint32 | callback_param1 = `0`,
|  | uint32 | callback_param2 = `0` |
| ) |  |  |

Constructor of the resolver for airport tiles.

Parameters:

  | ats | Specification of the airport tiles.
  | tile | Tile for the callback, only valid for airporttile callbacks.
  | st | Station of the airport for which the callback is run, or `NULL` for build gui.
  | callback | Callback ID.
  | callback_param1 | First parameter (var 10) of the callback.
  | callback_param2 | Second parameter (var 18) of the callback.

Definition at line 216 of file newgrf_airporttiles.cpp.

## Member Function Documentation

ScopeResolver* AirportTileResolverObject::GetScope | ( | VarSpriteGroupScope | scope = `VSG_SCOPE_SELF`,
|  | byte | relative = `0` |
| ) |  |  | `[inline, virtual]`

Get a resolver for the scope.

Parameters:

  | scope | Scope to return.
  | relative | Additional parameter for VSG_SCOPE_RELATIVE.

Returns:
  The resolver for the requested scope.

Reimplemented from ResolverObject.

Definition at line 40 of file newgrf_airporttiles.h.

References tiles_scope, and VSG_SCOPE_SELF.

Referenced by NIHAirportTile::Resolve().

The documentation for this struct was generated from the following files:

- src/newgrf_airporttiles.h
- src/newgrf_airporttiles.cpp